
QGIS Application - Bug report #16949

Point pattern broken when using varying sizes

2017-08-01 07:02 PM - Johannes Kroeger

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.18.11 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 24848

Description

Create a polygon layer.

Use a Point pattern fill.

Set the Size of the Marker to eg rand(-10,10).

The points are rendered with artifacts, they seem to be made of randomly sized circle segments.

See the screenshot.

I disabled multi-process rendering, which did not solve this.

History

#1 - 2017-08-02 10:15 AM - Nyall Dawson

Point pattern fills (and some other fills, e.g. line pattern fill) are currently drawn using tiled blocks for speed. It's the edges of these tiles you're seeing here.

This is actually a duplicate of #6996 (well, the fix for #6996 would fix this too).

#2 - 2017-08-02 10:48 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed
